function $AdfUIPeer$$() {
}
$goog$exportSymbol$$("AdfUIPeer", $AdfUIPeer$$);
$AdfObject$$.$createSubclass$($AdfUIPeer$$);
$AdfUIPeer$$.$createPeerClass$ = function $$AdfUIPeer$$$$createPeerClass$$($theSuperclass$$, $peerName$$, $classInitializationState$$1$$) {
  function $constructorFunction$$($theSuperclass$$, $peerName$$) {
    arguments.length && this.Init($theSuperclass$$, $peerName$$);
  }
  $AdfObject$$.$createSubclass$($constructorFunction$$, $theSuperclass$$, $peerName$$, $classInitializationState$$1$$);
  $peerName$$ && (window[$peerName$$] = $constructorFunction$$);
  return $constructorFunction$$;
};
$goog$exportSymbol$$("AdfUIPeer.createPeerClass", $AdfUIPeer$$.$createPeerClass$);
$AdfUIPeer$$.$InitClass$ = function $$AdfUIPeer$$$$InitClass$$() {
  this.$_DRAG_RECOGNIZER$ = new $AdfDragRecognizer$$;
};
$goog$exportSymbol$$("AdfUIPeer.InitClass", $AdfUIPeer$$.$InitClass$);
$AdfUIPeer$$.prototype.$initialize$ = function $$AdfUIPeer$$$$$initialize$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.initialize", {$initialize$:$AdfUIPeer$$.prototype.$initialize$});
$AdfUIPeer$$.prototype.$componentRemoved$ = function $$AdfUIPeer$$$$$componentRemoved$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.componentRemoved", {$componentRemoved$:$AdfUIPeer$$.prototype.$componentRemoved$});
$AdfUIPeer$$.prototype.$getComponentParent$ = function $$AdfUIPeer$$$$$getComponentParent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getComponentParent", {$getComponentParent$:$AdfUIPeer$$.prototype.$getComponentParent$});
$AdfUIPeer$$.prototype.$getDescendantComponents$ = function $$AdfUIPeer$$$$$getDescendantComponents$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getDescendantComponents", {$getDescendantComponents$:$AdfUIPeer$$.prototype.$getDescendantComponents$});
$AdfUIPeer$$.prototype.$getComponentProperty$ = function $$AdfUIPeer$$$$$getComponentProperty$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getComponentProperty", {$getComponentProperty$:$AdfUIPeer$$.prototype.$getComponentProperty$});
$AdfUIPeer$$.prototype.$getInlineStyleProperty$ = function $$AdfUIPeer$$$$$getInlineStyleProperty$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getInlineStyleProperty", {$getInlineStyleProperty$:$AdfUIPeer$$.prototype.$getInlineStyleProperty$});
$AdfUIPeer$$.prototype.$setInlineStyleProperty$ = function $$AdfUIPeer$$$$$setInlineStyleProperty$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.setInlineStyleProperty", {$setInlineStyleProperty$:$AdfUIPeer$$.prototype.$setInlineStyleProperty$});
$AdfUIPeer$$.prototype.$getComponent$ = function $$AdfUIPeer$$$$$getComponent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getComponent", {$getComponent$:$AdfUIPeer$$.prototype.$getComponent$});
$AdfUIPeer$$.prototype.$getReadyState$ = function $$AdfUIPeer$$$$$getReadyState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getReadyState", {$getReadyState$:$AdfUIPeer$$.prototype.$getReadyState$});
$AdfUIPeer$$.prototype.$getParentPeer$ = function $$AdfUIPeer$$$$$getParentPeer$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getParentPeer", {$getParentPeer$:$AdfUIPeer$$.prototype.$getParentPeer$});
$AdfUIPeer$$.prototype.$getAbsoluteId$ = function $$AdfUIPeer$$$$$getAbsoluteId$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getAbsoluteId", {$getAbsoluteId$:$AdfUIPeer$$.prototype.$getAbsoluteId$});
$AdfUIPeer$$.prototype.$getAbsoluteLocator$ = function $$AdfUIPeer$$$$$getAbsoluteLocator$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getAbsoluteLocator", {$getAbsoluteLocator$:$AdfUIPeer$$.prototype.$getAbsoluteLocator$});
$AdfUIPeer$$.prototype.$convertLocatorToClientId$ = function $$AdfUIPeer$$$$$convertLocatorToClientId$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.convertLocatorToClientId", {$convertLocatorToClientId$:$AdfUIPeer$$.prototype.$convertLocatorToClientId$});
$AdfUIPeer$$.prototype.$isVisible$ = function $$AdfUIPeer$$$$$isVisible$$() {
  return this.$getComponent$().getPropertyValue($AdfUIComponent$$.VISIBLE);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.isVisible", {$isVisible$:$AdfUIPeer$$.prototype.$isVisible$});
$AdfUIPeer$$.prototype.$needsResizeNotify$ = function $$AdfUIPeer$$$$$needsResizeNotify$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.needsResizeNotify", {$needsResizeNotify$:$AdfUIPeer$$.prototype.$needsResizeNotify$});
$AdfUIPeer$$.prototype.$resizeNotify$ = function $$AdfUIPeer$$$$$resizeNotify$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.resizeNotify", {$resizeNotify$:$AdfUIPeer$$.prototype.$resizeNotify$});
$AdfUIPeer$$.prototype.$messageNotify$ = function $$AdfUIPeer$$$$$messageNotify$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.messageNotify", {$messageNotify$:$AdfUIPeer$$.prototype.$messageNotify$});
$AdfUIPeer$$.prototype.$messageShow$ = function $$AdfUIPeer$$$$$messageShow$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.messageShow", {$messageShow$:$AdfUIPeer$$.prototype.$messageShow$});
$AdfUIPeer$$.prototype.focus = function $$AdfUIPeer$$$$focus$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.focus", {focus:$AdfUIPeer$$.prototype.focus});
$AdfUIPeer$$.prototype.$initiateDrag$ = function $$AdfUIPeer$$$$$initiateDrag$$($dndContext$$, $triggerEvent$$) {
  $AdfAssert$$.$assertPrototype$($dndContext$$, $AdfDnDContext$$);
  $AdfAssert$$.$assertPrototype$($triggerEvent$$, $AdfUIInputEvent$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.initiateDrag", {$initiateDrag$:$AdfUIPeer$$.prototype.$initiateDrag$});
$AdfUIPeer$$.prototype.$processPushData$ = function $$AdfUIPeer$$$$$processPushData$$($component$$34$$, $payload$$, $isLate$$) {
  $AdfAssert$$.$assertPrototype$($component$$34$$, $AdfUIComponent$$);
  $AdfAssert$$.assert(void 0 !== $payload$$);
  $AdfAssert$$.$assertBoolean$($isLate$$);
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.processPushData", {$processPushData$:$AdfUIPeer$$.prototype.$processPushData$});
$AdfUIPeer$$.prototype.Init = function $$AdfUIPeer$$$$Init$($component$$35$$) {
  $AdfAssert$$.$assertPrototypeOrNull$($component$$35$$, $AdfUIComponent$$);
  $AdfUIPeer$$.$superclass$.Init.call(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.Init", {Init:$AdfUIPeer$$.prototype.Init});
$AdfUIPeer$$.prototype.$ComponentPropertyChanged$ = function $$AdfUIPeer$$$$$ComponentPropertyChanged$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.ComponentPropertyChanged", {$ComponentPropertyChanged$:$AdfUIPeer$$.prototype.$ComponentPropertyChanged$});
$AdfUIPeer$$.prototype.$DispatchComponentEvent$ = function $$AdfUIPeer$$$$$DispatchComponentEvent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.DispatchComponentEvent", {$DispatchComponentEvent$:$AdfUIPeer$$.prototype.$DispatchComponentEvent$});
$AdfUIPeer$$.prototype.$DispatchUncanceledComponentEvent$ = function $$AdfUIPeer$$$$$DispatchUncanceledComponentEvent$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.DispatchUncanceledComponentEvent", {$DispatchUncanceledComponentEvent$:$AdfUIPeer$$.prototype.$DispatchUncanceledComponentEvent$});
$AdfUIPeer$$.prototype.$visitChildren$ = function $$AdfUIPeer$$$$$visitChildren$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.visitChildren", {$visitChildren$:$AdfUIPeer$$.prototype.$visitChildren$});
$AdfUIPeer$$.prototype.$getPagePosition$ = function $$AdfUIPeer$$$$$getPagePosition$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getPagePosition", {$getPagePosition$:$AdfUIPeer$$.prototype.$getPagePosition$});
$AdfUIPeer$$.prototype.$getDefaultDragRecognizer$ = function $$AdfUIPeer$$$$$getDefaultDragRecognizer$$() {
  return $AdfUIPeer$$.$_DRAG_RECOGNIZER$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getDefaultDragRecognizer", {$getDefaultDragRecognizer$:$AdfUIPeer$$.prototype.$getDefaultDragRecognizer$});
$AdfUIPeer$$.prototype.$getDragOverFeedback$ = function $$AdfUIPeer$$$$$getDragOverFeedback$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getDragOverFeedback", {$getDragOverFeedback$:$AdfUIPeer$$.prototype.$getDragOverFeedback$});
$AdfUIPeer$$.prototype.$applyDragReadyState$ = function $$AdfUIPeer$$$$$applyDragReadyState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.applyDragReadyState", {$applyDragReadyState$:$AdfUIPeer$$.prototype.$applyDragReadyState$});
$AdfUIPeer$$.prototype.$clearDragReadyState$ = function $$AdfUIPeer$$$$$clearDragReadyState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.clearDragReadyState", {$clearDragReadyState$:$AdfUIPeer$$.prototype.$clearDragReadyState$});
$AdfUIPeer$$.prototype.$applyDragSourceState$ = function $$AdfUIPeer$$$$$applyDragSourceState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.applyDragSourceState", {$applyDragSourceState$:$AdfUIPeer$$.prototype.$applyDragSourceState$});
$AdfUIPeer$$.prototype.$clearDragSourceState$ = function $$AdfUIPeer$$$$$clearDragSourceState$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.clearDragSourceState", {$clearDragSourceState$:$AdfUIPeer$$.prototype.$clearDragSourceState$});
$AdfUIPeer$$.prototype.$getDragTransferable$ = function $$AdfUIPeer$$$$$getDragTransferable$$() {
  $AdfAssert$$.$failedInAbstractFunction$();
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIPeer.prototype.getDragTransferable", {$getDragTransferable$:$AdfUIPeer$$.prototype.$getDragTransferable$});
